WarpBuild LogoWarpBuild Docs
Runner images

POST /runner-images

POST
/runner-images

Authorization

JWTKeyAuth
Authorization<token>

In: header

Request Body

application/json

Runner Image

alias*string

Alias is the human-friendly name of the image. Unique within the organization and immutable after creation.

arch?string

Arch is the CPU architecture. For byoc_ami images this is derived from the AMI when available and may be omitted.

Value in"x64" | "arm64"
byoc_ami?
container_runner_image?
hooks?
os?string

OS of the image. For byoc_ami images this is derived from the AMI and may be omitted.

Value in"mac" | "ubuntu"
runner_image_pull_secret_id?string
stack_id?string

StackID is the infrastructure stack (kind + region, e.g. an EC2 stack) the image belongs to. Required for byoc_ami; must be omitted for container images.

type*string

Type determines which of the type-specific payloads below is used.

warpbuild_snapshot_image?

Response Body

application/json

application/json

application/json

curl -X POST "https://api.warpbuild.com/api/v1/runner-images" \  -H "Content-Type: application/json" \  -d '{    "alias": "string",    "type": "string"  }'
{
  "alias": "string",
  "arch": "string",
  "byoc_ami": {
    "ami_id": "string",
    "root_device_name": "string"
  },
  "container_runner_image": {
    "args": [
      "string"
    ],
    "command": "string",
    "entrypoint": "string",
    "environment_variables": {
      "property1": "string",
      "property2": "string"
    },
    "image_repository": "string",
    "image_tag": "string"
  },
  "created_at": "string",
  "deprecated": true,
  "hooks": [
    {
      "file": "string",
      "type": "github_prehook"
    }
  ],
  "id": "string",
  "organization_id": "string",
  "os": "string",
  "parent_image_id": "string",
  "root_parent_image_id": "string",
  "runner_image_pull_secret_id": "string",
  "settings": {
    "purge_image_versions_offset": 0
  },
  "stack_id": "string",
  "status": "creating",
  "type": "container",
  "updated_at": "string",
  "version": {
    "arch": "string",
    "byoc_ami": {
      "ami_id": "string",
      "root_device_name": "string"
    },
    "container_runner_image": {
      "data_dir_size": "string",
      "image_digest": "string",
      "image_repository": "string",
      "image_size": "string",
      "image_tag": "string",
      "image_uri": "string",
      "snapshot_id": "string",
      "snapshot_size": "string",
      "volume_id": "string",
      "volume_size_gb": 0
    },
    "created_at": "string",
    "expires_at": "string",
    "external_id": "string",
    "id": "string",
    "meta": {
      "event": null,
      "parsed_event": null
    },
    "organization_id": "string",
    "os": "string",
    "parent_image_id": "string",
    "root_parent_image_id": "string",
    "runner_image_id": "string",
    "runner_image_pull_secret_id": "string",
    "stack_id": "string",
    "status": "string",
    "type": "string",
    "updated_at": "string",
    "version_time_id": 0,
    "warpbuild_snapshot_image": {
      "ami_id": "string",
      "creator_runner_instance_id": "string",
      "provider": "string",
      "snapshot_id": "string",
      "vcs_organization_name": "string",
      "vcs_ref_name": "string",
      "vcs_repository_name": "string",
      "version_id": 0
    }
  },
  "warpbuild_image": {
    "cloud_init_template": "string",
    "image_uri": "string"
  },
  "warpbuild_snapshot_image": {
    "ami_id": "string",
    "creator_runner_instance_id": "string",
    "provider": "string",
    "snapshot_id": "string",
    "vcs_organization_name": "string",
    "vcs_ref_name": "string",
    "vcs_repository_name": "string",
    "version_id": 0
  },
  "work_dir": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}